Update User
curl --request PUT \
--url https://api.recallrai.com/api/v1/users/{custom_user_id} \
--header 'Content-Type: application/json' \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>' \
--data '
{
"new_custom_user_id": "<string>",
"new_metadata": {},
"merge_conflict_enabled": true
}
'import requests
url = "https://api.recallrai.com/api/v1/users/{custom_user_id}"
payload = {
"new_custom_user_id": "<string>",
"new_metadata": {},
"merge_conflict_enabled": True
}
headers = {
"X-Recallr-Project-Id": "<x-recallr-project-id>",
"X-Recallr-Api-Key": "<x-recallr-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Recallr-Project-Id': '<x-recallr-project-id>',
'X-Recallr-Api-Key': '<x-recallr-api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({new_custom_user_id: '<string>', new_metadata: {}, merge_conflict_enabled: true})
};
fetch('https://api.recallrai.com/api/v1/users/{custom_user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"custom_user_id": "<string>",
"metadata": {},
"merge_conflict_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"last_active_at": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Users
Update User
Update user metadata or change user identifier.
Modify user attributes including custom metadata and the custom_user_id itself. When changing the custom_user_id, the new ID must not already exist in the project.
Path Parameters:
custom_user_id(str): Current unique identifier for the user
Body Parameters:
new_custom_user_id(str): New user identifier to replace current one. Optionalnew_metadata(Dict[str, Any]): New metadata JSON object to replace current metadata. Optional
Returns:
user(UserInfo): Updated user object with new values
PUT
/
api
/
v1
/
users
/
{custom_user_id}
Update User
Path Parameters
Body
application/json
Response
User updated successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I

